%define name kpacman
%define	version 0.2.5
%define release 5mdk

Name: %{name}
Summary: Clone of the popular 80's game
Version: %{version}
Release: %{release}
Source0:  %{name}-%{version}.tar.bz2
Group: Games/Arcade
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs
Prefix: %{_prefix}

%description
KDE version popular 80's Pac Man game.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/kpacman <<EOF
?package(kpacman):\
command="/usr/bin/kpacman"\
icon="kpacman.xpm"\
title="Kpacman"\
longtitle="a pacman game"\
needs="x11"\
section="Amusement/Arcade"
EOF
) 
 
%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
  fi
   
%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
  fi
fi      
 
%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files 
%defattr (-,root,root)
/usr/bin/*
%dir /usr/doc/kde/HTML/de/kpacman
/usr/doc/kde/HTML/de/kpacman/*
/usr/share/applnk/Games/*
%dir /usr/share/apps/kpacman
/usr/share/apps/kpacman/highScore
%dir /usr/share/apps/kpacman/fonts
/usr/share/apps/kpacman/fonts/*
%dir /usr/share/apps/kpacman/pics
/usr/share/apps/kpacman/pics/*.xpm
%dir /usr/share/apps/kpacman/pics/tiny
/usr/share/apps/kpacman/pics/tiny/*
%dir /usr/share/apps/kpacman/pics/zacman
/usr/share/apps/kpacman/pics/zacman/*
/usr/share/config/*
/usr/share/icons/*.xpm
/usr/share/icons/mini/*
/usr/share/locale/de/LC_MESSAGES/*
/usr/lib/menu/*


%changelog
* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-5mdk
- merge menu file with spec

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-4mdk
- disable rpath

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-3mdk
- clean specfile
- fix files section

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.
